package ObserverPattern;

import java.util.ArrayList;
import java.util.HashMap;

public class TestObserver {

	public static void main(String[] args) {
		// initialize the subject
		Subject co = new CommentaryObject(new ArrayList<Observer>(), "Soccer Match [2014AUG24]");
		
		// generate [1,5) int, a random number of subscribers
		int num = new java.util.Random().nextInt(5)+1;
		HashMap<Integer, Observer> observerList = new HashMap<Integer, Observer>();
		for (int i=0;i<num;i++)
		{
			Observer observer = new SMSUsers(co, "Commentary:"+i);
			observer.subscribe();
			observerList.put(i, observer);
		}			
		
		co.setUpdates("First Subscribe");
		
		//remove all the subscriber.
		for(int i =0;i<num;i++)
		{
			observerList.get(i).unSubscribe();
		}
		
//
//		co.setUpdates("Second Subscribe");
	}

}
