package OPExample2;

public class testM3 {
	public static void main( String[] args ) 
	   {
		  // the first observer pattern instance
	      ActiveSensorSystem as = new ActiveSensorSystem();
	      	      
	      ActiveAlarmLis surveillance1 = new Surveillance();
	      ActiveAlarmLis surveillance2 = new Surveillance();
	      ActiveAlarmLis surveillance3 = new Surveillance();
	      
	      
	      as.addAlarm(surveillance1);
	      as.addAlarm(surveillance2);
	      as.addAlarm(surveillance3);
	      
	      as.soundTheAlarm();
	      
	      as.removeAlarm(surveillance3);
	      as.removeAlarm(surveillance2);
	      
	      
	      // the second observer pattern instance
	      PassiveSensorSystem ps = new PassiveSensorSystem();
	      PassiveAlarmLis gate1 = new Gates();
	      PassiveAlarmLis gate2 = new Gates();
	      PassiveAlarmLis gate3 = new Gates();
	      PassiveAlarmLis lighting1 = new Lighting(); 
	      PassiveAlarmLis lighting2 = new Lighting(); 
	      PassiveAlarmLis lighting3 = new Lighting(); 
	      PassiveAlarmLis lighting4 = new Lighting(); 
	      
	      ps.addAlarm(gate1);
	      ps.addAlarm(gate2);
	      ps.addAlarm(gate3);
	      ps.addAlarm(lighting1);
	      ps.addAlarm(lighting2);
	      ps.addAlarm(lighting3);
	      ps.addAlarm(lighting4);
	      
	      ps.soundTheAlarm();
	      
	      ps.removeAlarm(gate3);
	      ps.removeAlarm(gate2);
	      ps.removeAlarm(lighting4);
	      ps.removeAlarm(lighting2);
	      ps.removeAlarm(lighting1);
	      
	      
		}
}
