package Command;

/*
 * concrete command of the command pattern
 */
public class LightOffCommand implements Command{

	private Light light;// the receiver
	
	public LightOffCommand(Light light)
	{
		this.light= light;
	}
	
	@Override
	public void execute()
	{
		light.switchoff();
	}
}
