package StatePattern;

import javax.imageio.stream.MemoryCacheImageInputStream;

/**
 * the context of the state pattern
 */
public class Context {
	private State mystate = new StateLowerCase();
	
	void setState(State Newstate)
	{
		mystate = Newstate;
	}
	
	public void writeName(String name)
	{
		mystate.write(this, name);
	}
}
